#ifndef ENCRYPTSQL_CONFIG_H
#define ENCRYPTSQL_CONFIG_H

// 安装路径（由 -DENCRYPTSQL_INSTALL_DIR=... 指定）
#define ENCRYPTSQL_INSTALL_DIR      "@ENCRYPTSQL_INSTALL_DIR@"
#define ENCRYPTSQL_CONFIG_DIR       "@ENCRYPTSQL_CONFIG_DIR@"
#define DK_SERVER_HOST              "@DK_SERVER_HOST@"
#define DK_SERVER_PORT              "@DK_SERVER_PORT@"

#define CREATEUDF_SQL_PATH          ENCRYPTSQL_INSTALL_DIR "/createudf.sql"
#define MASK_FUNCS_SQL_PATH         ENCRYPTSQL_INSTALL_DIR "/mask_funcs.sql"

#define MAP_JSON_PATH               ENCRYPTSQL_CONFIG_DIR "/map.json"
#define MAP_JSON_BACKUP_PATH        ENCRYPTSQL_CONFIG_DIR "/map.json.backup"

#define CMK_FILE_PATH               ENCRYPTSQL_CONFIG_DIR "/output.json"
#define CMK_FILE_BACKUP_PATH        ENCRYPTSQL_CONFIG_DIR "/output.json.backup"

#define CMK_KEY_PATH                ENCRYPTSQL_CONFIG_DIR "/domainkey"
#define CMK_ROTATE_STATUS_PATH      ENCRYPTSQL_CONFIG_DIR "/CMK_auto_rotate_status.json"

#define ROOT_KEY_GEN_PATH           ENCRYPTSQL_CONFIG_DIR "/kms_root"

#define BACKUP_BIN_PATH             ENCRYPTSQL_INSTALL_DIR "/bin/backup"
#define RESTORE_BIN_PATH            ENCRYPTSQL_INSTALL_DIR "/bin/restore"

// 客户端侧用于decryptres解密
#define DEK_FILE_PATH               ENCRYPTSQL_CONFIG_DIR "/dek"
// 服务端用于存储加密的DEK
#define DEK_SEALED_PATH             ENCRYPTSQL_CONFIG_DIR "/dek.sealed"

#endif /* ENCRYPTSQL_CONFIG_H */